<script>
  import {Router, Route} from "svelte-routing"

  // BE
  import BackendLayout from "./pages/backend/BackendLayout.svelte"
  import Dashboard from "./pages/backend/Dashboard.svelte"
  import User from "./pages/backend/user/User.svelte"
	import Login from './pages/auth/Login.svelte';
  
  // FE
  import FrontendLayout from "./pages/frontend/FrontendLayout.svelte"
  import Home from "./pages/frontend/home/Home.svelte"
  import About from "./pages/frontend/about/About.svelte"

  let url = window.location.pathname
</script>

<Router {url}>
  <div>
    <!-- #NOTES : This is your FE Page -->
    <Route path="/">
      <FrontendLayout><Home /></FrontendLayout>
    </Route>
    <Route path="/about">
      <FrontendLayout><About /></FrontendLayout>
    </Route>

    <!-- #NOTES : This is your Admin Page -->
    <Route path="/about">
      <Login/>
    </Route>
    <Route path="/admin/dashboard">
      <BackendLayout><Dashboard /></BackendLayout>
    </Route>
    <Route path="/admin/user">
      <BackendLayout><User /></BackendLayout>
    </Route>
  </div>
</Router>
